List notification targets
GET
/v1/notificationtarget/
const url = 'https://example.com/v1/notificationtarget/';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/notificationtarget/ \ --header 'Authorization: Bearer <token>'Return all notification targets for the current account.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”contactsgroups
string format: uuid
cursor
string
The pagination cursor value.
display_name
string
integration
string format: uuid
page_size
integer
Number of results to return per page.
search
string
A search term.
target
string
Responses
Section titled “Responses”Media typeapplication/json
object
next
string format: uri
previous
string format: uri
results
required
Array<object>
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
required
string format: uuid
display_name
required
string
target
string
time_from
string format: time
time_to
string format: time
notify_on_monday
boolean
notify_on_tuesday
boolean
notify_on_wednesday
boolean
notify_on_thursday
boolean
notify_on_friday
boolean
notify_on_saturday
boolean
notify_on_sunday
boolean
notify_on_ok
boolean
notify_on_warning
boolean
notify_on_critical
boolean
integration
required
string format: uuid
rules
Array<string>
contactsgroups
Array<string>
last_error_message
required
string
private_target
boolean
oncall_count
required
integer
enabled
boolean
Example
{ "next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"", "previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3"}